#ifndef formMainH
#define formMainH

#include <Classes.hpp>
#include <Controls.hpp>
#include <ExtCtrls.hpp>
#include "Chart.hpp"
#include "Series.hpp"
#include "TeeComma.hpp"
#include "TeEngine.hpp"
#include "TeeProcs.hpp"
#include "TeeGDIPlus.hpp"
#include "TeeSpline.hpp"
#include <TeeTools.hpp>


class TForm1 : public TForm
{
__published:	// IDE-managed Components
   TChart *chart_;
   TLineSeries *Series1;
private:	// User declarations

   void GenerateSeriesValues(TCustomSeries& series);

   // events
   void __fastcall OnBeforeDrawSeries(TObject* sender);
   Teengine::TSeriesPointerStyle __fastcall OnGetPointerStyle(Teengine::TChartSeries* sender, int valueIndex);

public:		// User declarations
   __fastcall TForm1(TComponent* Owner);

   // life-control
   void Initialize(void);

   void Redraw(void);
   void Clear(void);
   void PrepareDiagram(void);
   void DrawDiagram(void);
   void UpdateLineTools(void);

};

extern PACKAGE TForm1 *Form1;

#endif
